# Лазерный дальномер

Создан для микроконтроллера RP2040.

## Подключение

Схема подключения OLED дисплея SSD1306 (интерфейс SPI):
<table>
    <thead>
        <tr>
            <th>MCU</th>
            <th>SSD1306</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>GND</td>
            <td>GND</td>
        </tr>
        <tr>
            <td>3V3</td>
            <td>VCC</td>
        </tr>
        <tr>
            <td>P18 (SPI0_SCK)</td>
            <td>D0 (SCLK)</td>
        </tr>
        <tr>
            <td>P19 (SPI0_TX)</td>
            <td>D1 (SDIN)</td>
        </tr>
        <tr>
            <td>P20</td>
            <td>RES (сброс)</td>
        </tr>
        <tr>
            <td>P21</td>
            <td>DC (данные/команда)</td>
        </tr>
    </tbody>
</table>

Схема подключения лазерного дальномера VL53L0X (интерфейс I2C):
<table>
    <thead>
        <tr>
            <th>MCU</th>
            <th>SSD1306</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>3V3</td>
            <td>VCC</td>
        </tr>
        <tr>
            <td>GND</td>
            <td>GND</td>
        </tr>
        <tr>
            <td>P17 (I2C0_SCL)</td>
            <td>SCL</td>
        </tr>
        <tr>
            <td>P16 (I2C0_SDA)</td>
            <td>SDA</td>
        </tr>
    </tbody>
</table>

## Прошивка

Первым делом нужно зашить Micropython на микроконтроллер.

Для этого нужно выполнить следующие шаги:
* зажать кнопку BOOT на плате
* подключить микроконтроллер к ПК
* скопировать на появившийся съемный диск "RPI-RP2" специальный файл _.uf2_

Далее необходимо открыть любую IDE, поддерживающую Micropython (обычно Thonny IDE)
и залить проект из этого репозитория.

